<?php

include ("../conexion.php");
include ("../funciones/fechas.php");

//$cdgcaj      =$_POST["cdgcaj"];
$fechainicio =$_POST["fechainicio"];
$fechafin    =$_POST["fechafin"];

$fechainicio= implode("-", array_reverse(explode("-", $fechainicio))); 
$fechafin= implode("-", array_reverse(explode("-", $fechafin))); 

$where="1=1";

if (($fechainicio<>"") and ($fechafin<>"")) {
	 $where.=" AND fecfac between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND fecfac >='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND fecfac <='".$fechafin."'";
		}
	}
}

 //$where.=" ORDER BY numfactura DESC";
	$venta            = 0;		
	$utilidad_total   = 0;
	$porcentaje_total = 0;
	$preven           = 0;
    $utilidad         = 0;
	$porcentaje       = 0;
	
	
	
	$costo_total_r  = 0;		
	$utilidad_total   = 0;
	$precio_venta = 0;


if ($result = $mysqli->query("SELECT * FROM factulinea WHERE  ".$where )) {
   $filas = $result->num_rows;
   $result->close();
}

     


?>
<html>
	<head>
		<title>Clientes</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		
	
					      

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.totalfacturas.value=document.getElementById("totalfacturas").value;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+15);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+16;
			}
		}
		
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

function pon_prefijo(preven,costo_total,utilidad,porcentaje_total) {
	parent.document.form_busqueda.preven.value=preven;
	parent.document.form_busqueda.costo_total.value=costo_total;
	parent.document.form_busqueda.utilidad.value=utilidad;
	parent.document.form_busqueda.porcentaje_total.value=porcentaje_total;

	
    
}

		
		</script>
	</head>

	<body onload= nobackbutton(); inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">
			<input type="hidden" name="totalfacturas" id="totalfacturas" value="<?php echo $totalfacturas?>">
				<?php 
				

	
	
					if ($filas > 0) { 

 $contador=0;
 $marcaestado=0;	
 $marcaborrado=0;		
						   
						   
					   

						
				$consulta = "SELECT codfactura,cantidad,cdgcli ,fecfac , borrado, SUM(importe) AS preven, SUM(cosart * cantidad) AS costo_total, SUM(mondes) AS descuento, codigo FROM factulinea WHERE borrado = 0  AND   ".$where. " GROUP BY codfactura ";
if ($resultado = $mysqli->query($consulta)) 

	
	
    while ($fila = $resultado->fetch_assoc()) {
        $cantidad      = $fila["cantidad"];
        $marcaborrado  = $fila["borrado"];
        $fecha         = $fila["fecfac"];
		$fecfac        = implode("-", array_reverse(explode("-", $fecha)));

		$codfactura    = $fila["codfactura"];
		$cdgcli        = $fila["cdgcli"];
		
		$codigo        = $fila["codigo"];
		
		
		
		
					$query_tipart = "SELECT CDGBAR,tipart  FROM web_1001  WHERE   CDGBAR =   '$codigo' ";
					$rs_tipart = $mysqli->query($query_tipart);
					$row_tipart= $rs_tipart->fetch_assoc();
					
					$codigo = $row_tipart["CDGBAR"];
					$tipart = $row_tipart["tipart"];
					
		
		


					$query_facturas = "SELECT dsccli, numfactura  FROM facturas  WHERE   codfactura =   '$codfactura' ";
					$rs_facturas = $mysqli->query($query_facturas);
					$row = $rs_facturas->fetch_assoc();
					
					$dsccli = $row["dsccli"];
					$numfac = $row['numfactura'];
	                $numfac = substr($numfac, -10);
                    $dsccli = substr($dsccli, 0, 38);
	
				if ($marcaborrado == 1) { $borrado="Nula"; } else { $borrado=""; } 
				if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
			<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >
								
								
									<?php	
									
									

			$preven       = $fila["preven"];
		    $costo_total  = $fila["costo_total"];
			$descuento    = $fila["descuento"];
			
			
			if ( $tipart == 2){

			$costo_total = $preven *0.80;
			$utilidad     = $preven - $costo_total;
			$porcentaje   = $utilidad/$costo_total;
			$porcentaje   = $porcentaje *100;
			
			
			}
			
			if ($costo_total <> "0"  )  { 
			$preven       = $preven - $descuento;
			$utilidad     = $preven - $costo_total;
			$porcentaje   = $utilidad/$costo_total;
			$porcentaje   = $porcentaje *100;
			
			}
			


	
	$costo_total_r  = $costo_total_r + $costo_total ;		
	$utilidad_total = $utilidad_total + $utilidad ;
	
	
	$precio_venta = $precio_venta + $preven ; 
	
	
	
	$preven_f           = number_format($precio_venta,2,",",".");
	$costo_total_f           = number_format($costo_total_r,2,",",".");
	 $utilidad_total_f      = number_format($utilidad_total,2,",",".");

	
	
			?>
								<td width="2%"><?php $contador+1;?></td>
								<td width="9%"><div align="left"><?php echo $numfac ?>
                                </div></td>
                                	<td width="11%" align="center"><div align="left"><?php echo $fecfac?>
                                </div></td>
								<td width="5%" align="right"><div align="left"><?php echo $cdgcli ?></div></td>	
									<td width="32%"><div align="left"><?php echo $dsccli?>						
				
				<td width="11%"><div align="right"><?php echo  number_format($preven,2,".",",")  ?></div></td>
				<td width="11%"><div align="right"><?php echo number_format($costo_total,2,".",",")?></div></td>	
		
				<td width="11%"><div align="right"><?php echo number_format($utilidad,2,".",",") ?></div></td>
					<td width="68%"><div align="right"><?php echo number_format($porcentaje,2,".",",") ?></div></td>
						
		
								<td width="4%">&nbsp;</td>
								<td width="4%"><div align="center"></div></td>
								<td width="8%"><div align="center"></div></td>
						</tr>
						</tr>	
						
						
						
						
					<?php 
					
					
					$contador++;
					
					}
					
					
					$porcentaje_total   = $utilidad_total/$costo_total_r;
					$porcentaje_total   = $porcentaje_total *100;
					
					$porcentaje_total = number_format($porcentaje_total,2,",",".");
					?>			
					
					<script languaje="javascript">
					pon_prefijo("<?php echo $preven_f ?>","<?php echo $costo_total_f  ?>","<?php echo $utilidad_total_f  ?>","<?php echo $porcentaje_total ?>");
					
					</script>
					</table>
					
					
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo 	"No hay ninguna factura que cumpla con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<?php 
					
					
					}
					
					

					
					 ?>	
                    	
                    
			
				</div>
			</div>
		  </div>			
		</div>
	</body>
</html>
